angular.module('admin')
.controller('OrderController', function($scope, $http, $route, $window){
  $scope.order = [];
  $scope.mensagem = '';
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestOrder();
  };

  $scope.requestOrder = function(){
    $http.get('../../api/seller/dock/'+$scope.dock)
    .success(function(order){
      $scope.order = order;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Você não tem pedidos';
    });
  };
})
.controller('OrderIdController', function($scope, $http, $route, $routeParams, $window){
  $scope.order = {};
  $scope.mensagem = '';
  $scope.item = [];
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  if ($routeParams.orderId) {
    $http.get('../../api/seller/dock/'+$scope.dock+'/'+$routeParams.orderId)
    .success(function(order){
      $scope.order = order;
      if (order.status == "canceled") {
        $('.status').addClass('alert alert-danger');
        $('.value').removeClass('border-dark').addClass('border-danger');
        $('.hd').removeClass('bg-dark').addClass('bg-danger');
        $('.ft').removeClass('bg-dark').addClass('bg-danger');
        $('#fp').addClass('dp');
      }else if (order.status == "invoiced") {
        $('.status').addClass('alert alert-success');
        $('.value').removeClass('border-dark').addClass('border-success');
        $('.hd').removeClass('bg-dark').addClass('bg-success');
        $('.ft').removeClass('bg-dark').addClass('bg-success');
        $('#fp').addClass('dp');
      }else {
        $('.status').addClass('alert alert-warning');
      }
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível obter informações da venda';
    })

  }

  $scope.inicio = function(){
    $scope.items();
  };

  $scope.items = function(){
    $http.get('../../api/seller/items/'+$routeParams.orderId)
    .success(function(item){
      $scope.item = item;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível obter informações dos itens da venda';
    })
  }

});
